// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#include		"Intro.hpp"

#include<iostream>
void			hbs::Intro::Display(sf::RenderTarget		&screen)
{
  int			i;
  int			j;

  screen.clear();
  sprites[BUNNY].setPosition((sg->GetScreenWidth() - sprites[BUNNY].getGlobalBounds().width) / 2, bunny);
  screen.draw(sprites[BUNNY]);

  if (warping)
    for (j = 0; j < sg->GetScreenHeight(); j += 7)
      for (i = 0; i < sg->GetScreenWidth(); i += 5)
	{
	  sprites[FONT].setColor(sf::Color::Black);
	  sprites[FONT].setTextureRect(sf::IntRect(('!' - warp_animation - 1) * 5, 0, 5, 7));
	  sprites[FONT].setPosition(i, j);
	  screen.draw(sprites[FONT]);
	}
}

